/*
 * Copyright (C) 20122013 Daniel Medina <http://danielme.com>
 * 
 * This file is part of "Muspy for Android".
 * 
 * "Muspy for Android" is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * "Muspy for Android" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License version 3
 * along with this program.  If not, see <http://www.gnu.org/licenses/gpl-3.0.html/>
 */
package com.danielme.muspyforandroid.model;

/**
 * 
 * @author Daniel Medina (danielme.com)
 * @since 1.0
 */
public class UserSettings
{
	private String id;
	private String email;
	private boolean notifications;
	private boolean filterAlbum;
	private boolean filterSingle;
	private boolean filterEP;
	private boolean filterLive;
	private boolean filterCompilation;
	private boolean filterOther;
	private boolean filterRemix;


	public boolean isFilterRemix()
	{
		return filterRemix;
	}

	public void setFilterRemix(boolean filterRemix)
	{
		this.filterRemix = filterRemix;
	}

	public String getId()
	{
		return id;
	}

	public void setId(String id)
	{
		this.id = id;
	}

	public String getEmail()
	{
		return email;
	}

	public void setEmail(String email)
	{
		this.email = email;
	}

	public boolean isNotifications()
	{
		return notifications;
	}
	
	public void setNotifications(boolean notifications)
	{
		this.notifications = notifications;
	}

	public boolean isFilterAlbum()
	{
		return filterAlbum;
	}

	public void setFilterAlbum(boolean filterAlbum)
	{
		this.filterAlbum = filterAlbum;
	}
	
	public boolean isFilterSingle()
	{
		return filterSingle;
	}

	public void setFilterSingle(boolean filterSingle)
	{
		this.filterSingle = filterSingle;
	}

	public boolean isFilterEP()
	{
		return filterEP;
	}

	public void setFilterEP(boolean filterEP)
	{
		this.filterEP = filterEP;
	}

	public boolean isFilterLive()
	{
		return filterLive;
	}

	public void setFilterLive(boolean filterLive)
	{
		this.filterLive = filterLive;
	}

	public boolean isFilterCompilation()
	{
		return filterCompilation;
	}

	public void setFilterCompilation(boolean filterCompilation)
	{
		this.filterCompilation = filterCompilation;
	}

	public boolean isFilterOther()
	{
		return filterOther;
	}

	public void setFilterOther(boolean filterOther)
	{
		this.filterOther = filterOther;
	}

}